Bug 1382873 - F25 workstation ostree boot fails, fstab incorrectly mounts home LV to /home instead of /var/home
Summary: F25 workstation ostree boot fails, fstab incorrectly mounts home LV to /home ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1290888 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-08 00:15 UTC by Chris Murphy
Modified: 2017-12-12 11:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:05:25 UTC


Attachments (Terms of Use)
virsh console (64.00 KB, text/plain)
2016-10-08 00:19 UTC, Chris Murphy
no flags Details
journal, systemd debug (656.65 KB, text/plain)
2016-10-08 00:39 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2016-10-08 00:15:19 UTC
Description of problem:

After reboot from successfull installation I get dropped to emergency.target but I have no shell. There's a mess "Cannot open access to console, the root account is locked"


Version-Release number of selected component (if applicable):

Fedora-Workstation-dvd-x86_64-25-20161007.n.0.iso

How reproducible:
Always

Steps to Reproduce:
1. Default automatic partitioning qemu/kvm. Reboot.
2. 
3.

Actual results:

You are in emergency mode...[...snip...]

Cannot open access to console, the root account is locked.

Press Enter to continue.


And pressing Enter gets me plymouth graphical boot screen, ESC get me text that says the above with an additional line:

Warning: default.garget changed on disk. Run 'systemd daemon-reload' to reload units.



Expected results:

Should boot normally.

Additional info:

Comment 1 Chris Murphy 2016-10-08 00:19:35 UTC
Created attachment 1208281 [details]
virsh console

Added parameters: systemd.log_level=debug systemd.log_target=console console=ttyS0,38400

Captured with virsh console.

Comment 2 Chris Murphy 2016-10-08 00:39:36 UTC
Created attachment 1208282 [details]
journal, systemd debug

Bad virsh console capture, replacing original attachment.

Comment 3 Chris Murphy 2016-10-08 01:04:36 UTC
lines 2149-2184 in attachement seem to show ostree-prepare-root-service works, although there are some confusing messages in there.

But then

home.mount: Mount on symlink /home not allowed.
home.mount: Failed to run 'mount' task: Too many levels of symbolic links
home.mount: Changed dead -> failed
home.mount: Job home.mount/start finished, result=failed
[FAILED] Failed to mount /home.


The /etc/fstab contains:

/dev/mapper/fedora-home /home   ext4 defaults 1 2

Isn't it supposed to get mounted at /var/home first, and then ostree bind mounts that to /home? OK so comment that out. And now I don't get an emergency mode boot, it boots pretty much all the way then abruptly reboots and I'm back at GRUB...

Sounds to me like assembly problems.

Comment 4 Chris Murphy 2016-10-08 01:11:19 UTC
Yeah so it looks like /dev/mapper/fedora-home is being mounted *after* ostree has setup the virtual root we see (rather than the one on the drive).

lrwxrwxrwx.   1 root root     8 Oct  7 16:09 home -> var/home


And that means stepping on a symlink which isn't allowed. So this is an ostree+anaconda bug, the fstab should be mounting /dev/mapper/fedora-home to /var/home.

Comment 5 Chris Murphy 2016-10-08 01:16:07 UTC
Yep, making that change and now the system boots, and I get to gdm/login screen.

Comment 7 Colin Walters 2017-07-05 13:47:51 UTC
I was thinking about this more, and one thing that would help this a lot is to teach systemd-fstab-generator to follow symlinks when generating the mount units.

Given that symlinks in /etc/fstab worked in RHEL7 (and older), this seems like it would be very much in line with increasing compatibility, while keeping mount units clean.

Comment 8 Colin Walters 2017-07-05 19:46:19 UTC
https://github.com/systemd/systemd/pull/6293

Comment 9 Colin Walters 2017-07-25 19:41:25 UTC
*** Bug 1290888 has been marked as a duplicate of this bug. ***

Comment 10 Colin Walters 2017-07-25 19:45:31 UTC
The systemd change is in rawhide.  Related Anaconda changeset: https://github.com/rhinstaller/anaconda/pull/1124

Comment 11 Fedora End Of Life 2017-11-16 19:51:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Dusty Mabe 2017-11-16 21:05:07 UTC
This should be fixed now in f27

Comment 13 Fedora End Of Life 2017-12-12 11:05:25 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.